Skip to content
Get started

List all vendors, sorted by name alphabetically (case-insensitive)

GET/v1/vendors

List all vendors, sorted by name alphabetically (case-insensitive)

Query ParametersExpand Collapse
lifecycle_stage: optional "INITIAL_ASSESSMENT" or "ONBOARDED"

Filter vendors by lifecycle stage

Accepts one of the following:
"INITIAL_ASSESSMENT"
"ONBOARDED"
ReturnsExpand Collapse
created_at: string

An ISO-8601-formatted timestamp representing when the vendor was created (UTC)

formatdate-time
description: string

The vendor's description

name: string

The vendor's display name

urn: string

A unique identifier for the vendor

List all vendors, sorted by name alphabetically (case-insensitive)

curl https://developer.clarative.ai/v1/vendors \
    -H "Authorization: Bearer $CLARATIVE_API_KEY"
[
  {
    "created_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "name": "name",
    "urn": "urn"
  }
]
Returns Examples
[
  {
    "created_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "name": "name",
    "urn": "urn"
  }
]